Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.consultrn.service
Class ServiceFactory

    java.lang.Object
      be.ehealth.businessconnector.consultrn.service.ServiceFactory

    public final class ServiceFactory

extends Object

creates the service.

The service can be configured to validate incoming messages with the property 'validation.incoming.message.consultrn'.

Endpoints can be redefined by settings the properties 'endpoint.consultrn.identifyperson', 'endpoint.consultrn.phoneticsearch' and 'endpoint.consultrn.manageperson'.

Field Summary
`static String` | `CONSULTRN_XSD` location of consultrn xsd file in classpath.
`static String` | `CONSULTRN_XSD_v2`

Method Summary
`static GenericRequest` | `getConsultrnIdentifyPersonService(SAMLToken token)`
`static GenericRequest` | `getConsultrnManagePersonService(SAMLToken token, String soapAction)`
`static GenericRequest` | `getConsultrnPhoneticSearchService(SAMLToken token)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CONSULTRN_XSD

    public static final String CONSULTRN_XSD

  location of consultrn xsd file in classpath.

  See Also:
    Constant Field Values

### CONSULTRN_XSD_v2

    public static final String CONSULTRN_XSD_v2

See Also:
  Constant Field Values

Method Detail

### getConsultrnIdentifyPersonService

    public static GenericRequest getConsultrnIdentifyPersonService(SAMLToken token)
                                                            throws TechnicalConnectorException

  Throws:
    `TechnicalConnectorException`

### getConsultrnPhoneticSearchService

    public static GenericRequest getConsultrnPhoneticSearchService(SAMLToken token)
                                                            throws TechnicalConnectorException

  Throws:
    `TechnicalConnectorException`

### getConsultrnManagePersonService

    public static GenericRequest getConsultrnManagePersonService(SAMLToken token,
                                                                 String soapAction)
                                                          throws TechnicalConnectorException

  Throws:
    `TechnicalConnectorException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSOCCUPATIONALTHERAPIST 3.15.1 API
Copyright © {inceptionYear}-2018 eHealth. All Rights Reserved.